using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 用户实时数据
    /// </summary>
    [SugarTable("YB_UserRealData", TableDescription = "用户实时数据", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_UserRealData
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "用户ID")]
        public System.Int32 UserId { get; set; }

        /// <summary>
        /// 最高运动步数
        /// </summary>
        [SugarColumn(ColumnDescription = "最高运动步数")]
        public System.Int64 TopStep { get; set; }

        /// <summary>
        /// 最大运动步数时间,时间戳格式
        /// </summary>
        [SugarColumn(ColumnDescription = "最大运动步数时间,时间戳格式")]
        public System.Int64 TopStepTime { get; set; }
    }
}
